package org.gcube.portlets.user.td.gwtservice.shared.tr.table;

import java.io.Serializable;

/**
 * 
 * @author "Giancarlo Panichi"
 * 
 */
public class Validations implements Serializable {
	private static final long serialVersionUID = 4950002331717895999L;
	Integer id;// Only for grid
	String description;
	Boolean valid;

	public Validations() {

	}

	public Validations(Integer id, String description, Boolean valid) {
		this.id = id;
		this.description = description;
		this.valid = valid;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Boolean isValid() {
		return valid;
	}

	public void setValid(Boolean valid) {
		this.valid = valid;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Override
	public String toString() {
		return "Validations [id=" + id + ", description=" + description
				+ ", valid=" + valid + "]";
	}

}
